Upload Payment Proof
curl --request POST \
--url https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>"
}
'import requests
url = "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload = { "fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileBase64: '<base64-encoded PDF or image of the bank transfer receipt>'})
};
fetch('https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));trueRamp Orders
Upload Payment Proof
Uploads the bank transfer receipt (payment proof) of an on-ramp. Only available for on_ramp ramps in status pending.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | URL | Yes | Include your assigned ID in the URL, obtainable through the Get infoClient endpoint. |
| rampID | URL | Yes | The ID of the On Ramp for which you made the funds transfer. |
Body Request
| Field | Description |
|---|---|
| fileBase64 | Bank transfer support document converted to Base64, reflecting the payment made following the deposit instructions provided in your on-ramp order. |
Response
Returns true. The ramp moves to status received.
POST
/
api
/
ramps
/
file
/
{rampId}
/
{clientId}
Upload Payment Proof
curl --request POST \
--url https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>"
}
'import requests
url = "https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}"
payload = { "fileBase64": "<base64-encoded PDF or image of the bank transfer receipt>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileBase64: '<base64-encoded PDF or image of the bank transfer receipt>'})
};
fetch('https://testapi.kravata.co/api/ramps/file/{rampId}/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));true
